Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_get_sources

## Name

librdf_model_get_sources -- return the sources (subjects) of arc in an RDF graph given arc (predicate) and target (object)

## Synopsis

``librdf_iterator* `librdf_model_get_sources`` (librdf_model * `model`, librdf_node * `arc`, librdf_node * `target`);`

## Arguments

`model`

  librdf_model object

`arc`

  librdf_node arc

`target`

  librdf_node target

## Description

Searches the model for arcs matching the given arc and target and returns a list of the source librdf_node objects as an iterator

## Return value

librdf_iterator of librdf_node objects (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_model_find_statements | Up | librdf_model_get_arcs